|
|||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | ||||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | ||||||||||
java.lang.Objectorg.opencms.workplace.CmsWorkplace
org.opencms.workplace.tools.CmsToolDialog
org.opencms.workplace.CmsDialog
org.opencms.workplace.commons.CmsChtype
The change resource type dialog handles the change of a resource type of a single VFS file.
The following files use this class:
| Field Summary | |
static String |
DIALOG_TYPE
The dialog type. |
static String |
PARAM_NEWRESOURCETYPE
Request parameter name for the new resource type. |
| Fields inherited from class org.opencms.workplace.tools.CmsToolDialog |
PARAM_PATH, PARAM_ROOT, PARAM_STYLE |
| Constructor Summary | |
CmsChtype(CmsJspActionElement jsp)
Public constructor with JSP action element. |
|
CmsChtype(PageContext context,
HttpServletRequest req,
HttpServletResponse res)
Public constructor with JSP variables. |
|
| Method Summary | |
void |
actionChtype()
Uploads the specified file and replaces the VFS file. |
String |
buildTypeList()
Builds the html for the list of possible types for the uploaded file. |
static String |
buildTypeList(CmsDialog dialog,
boolean useTypeId)
Builds the html for the list of possible types for the uploaded file. |
String |
getParamNewResourceType()
Returns the new resource type parameter. |
protected void |
initWorkplaceRequestValues(CmsWorkplaceSettings settings,
HttpServletRequest request)
Analyzes the request for workplace parameters and adjusts the workplace settings accordingly. |
void |
setParamNewResourceType(String newResourceType)
Sets the new resource type parameter. |
| Methods inherited from class org.opencms.workplace.tools.CmsToolDialog |
dialogTitle, getAdminTool, getCurrentToolPath, getParamPath, getParamRoot, getParamStyle, getParentPath, getToolManager, iconsBlockArea, iconsBlockAreaEnd, iconsBlockAreaStart, initAdminTool, pageBody, pageHtmlStyle, setParamPath, setParamRoot, setParamStyle, useNewStyle |
| Methods inherited from class java.lang.Object |
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Field Detail |
public static final String DIALOG_TYPE
public static final String PARAM_NEWRESOURCETYPE
| Constructor Detail |
public CmsChtype(CmsJspActionElement jsp)
jsp - an initialized JSP action element
public CmsChtype(PageContext context,
HttpServletRequest req,
HttpServletResponse res)
context - the JSP page contextreq - the JSP requestres - the JSP response| Method Detail |
public static String buildTypeList(CmsDialog dialog,
boolean useTypeId)
This method can be used by all workplace dialog classes to build radio input buttons to select a resource type.
dialog - the dialog class instance which creates the type listuseTypeId - if true, the resource type ID will be used for value attributes, otherwise the resource type names
public void actionChtype()
throws JspException
JspException - if inclusion of error dialog failspublic String buildTypeList()
public String getParamNewResourceType()
public void setParamNewResourceType(String newResourceType)
newResourceType - the new resource type parameter
protected void initWorkplaceRequestValues(CmsWorkplaceSettings settings,
HttpServletRequest request)
CmsWorkplace
initWorkplaceRequestValues in class CmsDialogCmsWorkplace.initWorkplaceRequestValues(org.opencms.workplace.CmsWorkplaceSettings, javax.servlet.http.HttpServletRequest)
|
|||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | ||||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | ||||||||||